import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JuniorModule } from '~/junior/junior.module';
import { AllowanceChangeRequestController, AllowancesController } from './controllers';
import { Allowance, AllowanceChangeRequest } from './entities';
import { AllowanceChangeRequestsRepository, AllowancesRepository } from './repositories';
import { AllowanceChangeRequestsService, AllowancesService } from './services';

@Module({
  controllers: [AllowancesController, AllowanceChangeRequestController],
  imports: [TypeOrmModule.forFeature([Allowance, AllowanceChangeRequest]), JuniorModule],
  providers: [
    AllowancesService,
    AllowancesRepository,
    AllowanceChangeRequestsService,
    AllowanceChangeRequestsRepository,
  ],
  exports: [],
})
export class AllowanceModule {}
