import { Injectable } from '@nestjs/common';
import { Device } from '../entities';
import { DeviceRepository } from '../repositories';
@Injectable()
export class DeviceService {
  constructor(private readonly deviceRepository: DeviceRepository) {}
  findUserDeviceById(deviceId: string, userId: string) {
    return this.deviceRepository.findUserDeviceById(deviceId, userId);
  }

  createDevice(data: Partial<Device>) {
    return this.deviceRepository.createDevice(data);
  }

  updateDevice(deviceId: string, data: Partial<Device>) {
    return this.deviceRepository.updateDevice(deviceId, data);
  }

  async getTokens(userId: string): Promise<string[]> {
    const devices = await this.deviceRepository.getTokens(userId);

    return devices.map((device) => device.fcmToken!);
  }
}
