import { Injectable } from '@nestjs/common';
import { DocumentType } from '~/document/enums';
import { DocumentService, OciService } from '~/document/services';

@Injectable()
export class LookupService {
  constructor(private readonly documentService: DocumentService, private readonly ociService: OciService) {}
  async findDefaultAvatar() {
    const documents = await this.documentService.findDocuments({ documentType: DocumentType.DEFAULT_AVATAR });

    await Promise.all(
      documents.map(async (document) => {
        document.url = await this.ociService.generatePreSignedUrl(document);
      }),
    );

    return documents;
  }

  async findDefaultTasksLogo() {
    const documents = await this.documentService.findDocuments({ documentType: DocumentType.DEFAULT_TASKS_LOGO });

    await Promise.all(
      documents.map(async (document) => {
        document.url = await this.ociService.generatePreSignedUrl(document);
      }),
    );

    return documents;
  }
}
