import { MigrationInterface, QueryRunner } from 'typeorm';
import { CategoryType } from '~/saving-goals/enums';
const DEFAULT_CATEGORIES = [
  {
    name: 'School',
    type: CategoryType.GLOBAL,
  },
  {
    name: 'Toys',
    type: CategoryType.GLOBAL,
  },
  {
    name: 'Games',
    type: CategoryType.GLOBAL,
  },
  {
    name: 'Clothes',
    type: CategoryType.GLOBAL,
  },
  {
    name: 'Hobbies',
    type: CategoryType.GLOBAL,
  },
  {
    name: 'Party',
    type: CategoryType.GLOBAL,
  },
  {
    name: 'Sport',
    type: CategoryType.GLOBAL,
  },
  {
    name: 'University',
    type: CategoryType.GLOBAL,
  },
  {
    name: 'Travel',
    type: CategoryType.GLOBAL,
  },
];
export class SeedsGoalsCategories1734247702310 implements MigrationInterface {
  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `INSERT INTO categories (name, type) VALUES ${DEFAULT_CATEGORIES.map(
        (category) => `('${category.name}', '${category.type}')`,
      )}`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `DELETE FROM categories WHERE name IN (${DEFAULT_CATEGORIES.map(
        (category) => `'${category.name}'`,
      )}) AND type = '${CategoryType.GLOBAL}'`,
    );
  }
}
