import { MigrationInterface, QueryRunner } from 'typeorm';

export class CreateMoneyRequestEntity1734503895302 implements MigrationInterface {
  name = 'CreateMoneyRequestEntity1734503895302';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `CREATE TABLE "money_requests" 
      ("id" uuid NOT NULL DEFAULT uuid_generate_v4(), 
      "requested_amount" numeric(10,3) NOT NULL, 
      "message" character varying NOT NULL, 
      "frequency" character varying NOT NULL DEFAULT 'ONE_TIME', 
      "status" character varying NOT NULL DEFAULT 'PENDING', 
      "reviewed_at" TIMESTAMP WITH TIME ZONE, 
      "end_date" TIMESTAMP WITH TIME ZONE, 
      "requester_id" uuid NOT NULL, 
      "reviewer_id" uuid NOT NULL, 
      "created_at" TIMESTAMP WITH TIME ZONE NOT NULL DEFAULT now(), 
      "updated_at" TIMESTAMP WITH TIME ZONE NOT NULL DEFAULT now(), 
      CONSTRAINT "PK_28cff23e9fb06cd5dbf73cd53e7" PRIMARY KEY ("id"))`,
    );
    await queryRunner.query(
      `ALTER TABLE "money_requests" ADD CONSTRAINT "FK_5cce02836c6033b6e2412995e34" FOREIGN KEY ("requester_id") REFERENCES "juniors"("id") ON DELETE NO ACTION ON UPDATE NO ACTION`,
    );
    await queryRunner.query(
      `ALTER TABLE "money_requests" ADD CONSTRAINT "FK_75ba0766db9a7bf03126facf31c" FOREIGN KEY ("reviewer_id") REFERENCES "guardians"("id") ON DELETE NO ACTION ON UPDATE NO ACTION`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`ALTER TABLE "money_requests" DROP CONSTRAINT "FK_75ba0766db9a7bf03126facf31c"`);
    await queryRunner.query(`ALTER TABLE "money_requests" DROP CONSTRAINT "FK_5cce02836c6033b6e2412995e34"`);
    await queryRunner.query(`DROP TABLE "money_requests"`);
  }
}
