import { MigrationInterface, QueryRunner } from 'typeorm';

export class CreateNotificationEntityAndEditDevice1734944692999 implements MigrationInterface {
  name = 'CreateNotificationEntityAndEditDevice1734944692999';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `CREATE TABLE "notifications" 
      ("id" uuid NOT NULL DEFAULT uuid_generate_v4(), 
      "title" character varying NOT NULL, 
      "message" character varying NOT NULL, 
      "recipient" character varying, 
      "scope" character varying NOT NULL, 
      "status" character varying, 
      "channel" character varying NOT NULL, 
      "user_id" uuid, 
      "created_at" TIMESTAMP WITH TIME ZONE NOT NULL DEFAULT now(), 
      "updated_at" TIMESTAMP WITH TIME ZONE NOT NULL DEFAULT now(), 
      CONSTRAINT "PK_6a72c3c0f683f6462415e653c3a" PRIMARY KEY ("id"))`,
    );
    await queryRunner.query(`ALTER TABLE "devices" ADD "fcm_token" character varying`);
    await queryRunner.query(
      `ALTER TABLE "notifications" ADD CONSTRAINT "FK_9a8a82462cab47c73d25f49261f" FOREIGN KEY ("user_id") REFERENCES "users"("id") ON DELETE CASCADE ON UPDATE NO ACTION`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(`ALTER TABLE "notifications" DROP CONSTRAINT "FK_9a8a82462cab47c73d25f49261f"`);
    await queryRunner.query(`ALTER TABLE "devices" DROP COLUMN "fcm_token"`);
    await queryRunner.query(`DROP TABLE "notifications"`);
  }
}
