import { BaseEntity, Column, CreateDateColumn, Entity, JoinColumn, OneToOne, PrimaryGeneratedColumn } from 'typeorm';
import { GiftColor, GiftReplyStatus } from '../enums';
import { Gift } from './gift.entity';

@Entity('gift_replies')
export class GiftReply extends BaseEntity {
  @PrimaryGeneratedColumn('uuid')
  id!: string;

  @Column({ type: 'varchar', name: 'status', default: GiftReplyStatus.PENDING })
  status!: GiftReplyStatus;

  @Column({ type: 'varchar', name: 'color' })
  color!: GiftColor;

  @Column({ type: 'uuid', name: 'gift_id' })
  giftId!: string;

  @OneToOne(() => Gift, (gift) => gift.reply, { onDelete: 'CASCADE' })
  @JoinColumn({ name: 'gift_id' })
  gift!: Gift;

  @CreateDateColumn({ name: 'created_at', type: 'timestamp with time zone', default: () => 'CURRENT_TIMESTAMP' })
  createdAt!: Date;
}
