import { forwardRef, Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { AuthModule } from '~/auth/auth.module';
import { CustomerModule } from '~/customer/customer.module';
import { JuniorController } from './controllers';
import { Junior, JuniorRegistrationToken, Theme } from './entities';
import { JuniorRepository, JuniorTokenRepository } from './repositories';
import { JuniorService, JuniorTokenService, QrcodeService } from './services';

@Module({
  controllers: [JuniorController],
  providers: [JuniorService, JuniorRepository, JuniorTokenService, JuniorTokenRepository, QrcodeService],
  imports: [
    TypeOrmModule.forFeature([Junior, Theme, JuniorRegistrationToken]),
    forwardRef(() => AuthModule),
    CustomerModule,
  ],
  exports: [JuniorService, JuniorTokenService],
})
export class JuniorModule {}
