import { ApiProperty } from '@nestjs/swagger';
import { IsEnum } from 'class-validator';
import { i18nValidationMessage as i18n } from 'nestjs-i18n';
import { PageOptionsRequestDto } from '~/core/dtos';
import { MoneyRequestStatus } from '~/money-request/enums';
export class MoneyRequestsFiltersRequestDto extends PageOptionsRequestDto {
  @ApiProperty({ example: MoneyRequestStatus.PENDING, enum: MoneyRequestStatus })
  @IsEnum(MoneyRequestStatus, {
    message: i18n('validation.IsEnum', { path: 'general', property: 'moneyRequest.status' }),
  })
  status: MoneyRequestStatus = MoneyRequestStatus.PENDING;
}
