import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JuniorModule } from '~/junior/junior.module';
import { MoneyRequestsController } from './controllers';
import { MoneyRequest } from './entities';
import { MoneyRequestsRepository } from './repositories';
import { MoneyRequestsService } from './services';

@Module({
  controllers: [MoneyRequestsController],
  providers: [MoneyRequestsService, MoneyRequestsRepository],
  exports: [],
  imports: [TypeOrmModule.forFeature([MoneyRequest]), JuniorModule],
})
export class MoneyRequestModule {}
