import { ApiProperty } from '@nestjs/swagger';
import { IsNumber, Min } from 'class-validator';
import { i18nValidationMessage as i18n } from 'nestjs-i18n';
const MIN_FUND = 1;
export class FundGoalRequestDto {
  @ApiProperty({ example: '200' })
  @IsNumber({}, { message: i18n('validation.IsNumber', { path: 'general', property: 'goal.fundAmount' }) })
  @Min(MIN_FUND)
  fundAmount!: number;
}
