import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { SavingGoalsController } from './controllers';
import { Category, SavingGoal } from './entities';
import { CategoryRepository, SavingGoalsRepository } from './repositories';
import { SavingGoalsService } from './services';
import { CategoryService } from './services/category.service';

@Module({
  imports: [TypeOrmModule.forFeature([SavingGoal, Category])],
  providers: [SavingGoalsService, SavingGoalsRepository, CategoryService, CategoryRepository],
  controllers: [SavingGoalsController],
})
export class SavingGoalsModule {}
