import { ApiProperty } from '@nestjs/swagger';
import { DocumentMetaResponseDto } from '~/document/dtos/response';
import { TaskSubmission } from '~/task/entities/task-submissions.entity';

export class TaskSubmissionDetailsResponsetDto {
  @ApiProperty()
  submittedAt!: Date;

  @ApiProperty({ type: DocumentMetaResponseDto })
  proofOfCompletion!: DocumentMetaResponseDto | null;

  constructor(taskSubmission: TaskSubmission) {
    this.submittedAt = taskSubmission.submittedAt;
    this.proofOfCompletion = taskSubmission.proofOfCompletion
      ? new DocumentMetaResponseDto(taskSubmission.proofOfCompletion)
      : null;
  }
}
